{% extends 'base.html.twig' %}

{% block icon %}fa fa-user{% endblock %}
{% block title %}Administrateurs techniques{% endblock %}
{% block breadcrumb %}
    <li>Administration technique</li>
    <li class="active">Administrateurs techniques</li>
{% endblock %}

{% block body %}
    <div class="container btn-separator">
        <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('admin_technical_admin_add') }}"
                data-title="Créer un administrateur technique"
                data-table="#{{ table.id() }}"
        >
            <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
            Créer un administrateur technique
        </button>

        <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('admin_technical_admin_promote') }}"
                data-title="Promouvoir un utilisateur existant"
                data-table="#{{ table.id() }}"
        >
            <i class="fa fa-crown fa-space" aria-hidden="true"></i>
            Promouvoir un utilisateur existant
        </button>
    </div>

    {{ generate_filters(table) }}

    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des administrateurs techniques"
        }
    ) }}

    <section class="container text-right">
        <a href="{{ url('admin_technical_admin_csv', app.request.query.all) }}" data-link-download-csv="%s_technical_admin.csv" target="_blank" class="btn btn-primary">
            <i class="fa fa-download fa-space" aria-hidden="true"></i>Télécharger au format CSV
        </a>
    </section>

{% endblock %}
